---
updatedAt: 2026-07-29T13:29:15.000Z
agentTools:
  projectIndex: https://docs.striga.com/llms.txt
---

# Update User

Update an existing user. Email and Mobile cannot be updated once they are verified. Once KYC has been started, none of the fields can be updated until the KYC is rejected. Once the KYC has been approved, none of the fields can be updated

Users are identities representing individuals. Once on-boarded, users can create accounts and cards.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "striga-v1",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://www.sandbox.striga.com/api/v1"
    }
  ],
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "paths": {
    "/user/update": {
      "patch": {
        "summary": "Update User",
        "description": "Update an existing user. Email and Mobile cannot be updated once they are verified. Once KYC has been started, none of the fields can be updated until the KYC is rejected. Once the KYC has been approved, none of the fields can be updated",
        "operationId": "update-user",
        "parameters": [
          {
            "name": "api-key",
            "in": "header",
            "description": "Your Striga API key",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Your HMAC signature",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "userId"
                ],
                "properties": {
                  "userId": {
                    "type": "string",
                    "description": "User ID returned in the create user method"
                  },
                  "firstName": {
                    "type": "string",
                    "description": "The first name of the user - Minimum of 2 up to 40 characters in length as a string, Allowed case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' ']."
                  },
                  "lastName": {
                    "type": "string",
                    "description": "The last name of the user - Minimum of 2 up to 40 characters in length as a string, Allowed case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' ']."
                  },
                  "email": {
                    "type": "string",
                    "description": "E-mail address of the user - A valid email address"
                  },
                  "mobile": {
                    "properties": {
                      "countryCode": {
                        "type": "string",
                        "description": "The country code of the Corporate's user mobile number  (e.g. +44). Must contain a '+'"
                      },
                      "number": {
                        "type": "string",
                        "description": "The mobile number of the Corporate's user - excluding country code. Up to 12 digits in length"
                      }
                    },
                    "required": [
                      "countryCode",
                      "number"
                    ],
                    "type": "object"
                  },
                  "dateOfBirth": {
                    "properties": {
                      "year": {
                        "type": "integer",
                        "description": "A year between 1920 and 2005",
                        "format": "int32"
                      },
                      "month": {
                        "type": "integer",
                        "description": "A month between 1 and 12",
                        "format": "int32"
                      },
                      "day": {
                        "type": "integer",
                        "description": "A day between 1 and 31",
                        "format": "int32"
                      }
                    },
                    "required": [
                      "year",
                      "month",
                      "day"
                    ],
                    "type": "object"
                  },
                  "address": {
                    "properties": {
                      "addressLine1": {
                        "type": "string",
                        "description": "The first line of the address - A string up to 80 characters in length, containing only valid Latin case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' ']"
                      },
                      "addressLine2": {
                        "type": "string",
                        "description": "The second line of the address - A string up to 80 characters in length, containing only valid Latin case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' ']"
                      },
                      "city": {
                        "type": "string",
                        "description": "The city of the address - A string up to 40 characters in length, containing only valid Latin case-insensitive characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'æ', 'ä', 'å', 'á', 'é', 'í', 'ø', 'ö', 'ó', 'õ', 'š', 'ü', 'ú', 'ž', 'à', 'è', 'ì', 'ò', 'ù', 'â', 'ê', 'î', 'ô', 'û', 'ã', 'ñ', 'ë', 'ï', 'ÿ', 'ė', 'ç', 'ć', 'ń', 'ś', 'ź', 'ā', 'ē', 'ī', 'ō', 'ū', 'ą', 'ę', 'į', 'ų', 'č', 'ģ', 'ķ', 'ļ', 'ņ', 'ŗ', 'ỳ', 'ǹ', 'ẁ', 'ý', 'ǵ', 'ḱ', 'ĺ', 'ḿ', 'ṕ', 'ŕ', 'ẃ', 'ŷ', 'ĉ', 'ĝ', 'ĥ', 'ĵ', 'ŝ', 'ŵ', 'ẑ', 'ẽ', 'ĩ', 'ũ', 'ỹ', 'ṽ', 'ḧ', 'ẅ', 'ẍ', 'ẗ', 'ẘ', 'ẙ', 'ȳ', 'ḡ', 'ă', 'ĕ', 'ĭ', 'ŏ', 'ŭ', 'ğ', 'ǫ', 'ǎ', 'ě', 'ǐ', 'ǒ', 'ǔ', 'ď', 'ǧ', 'ȟ', 'ǰ', 'ǩ', 'ľ', 'ň', 'ř', 'ť', 'ȩ', 'ḑ', 'ḩ', 'ş', 'ţ', 'ő', 'ű', 'ů', 'ǖ', 'ǘ', 'ǚ', 'ǜ', ''', '-', '/', '.', ',', '&', ' ']"
                      },
                      "postalCode": {
                        "type": "string",
                        "description": "Address postal code - A string up to 20 characters in length"
                      },
                      "state": {
                        "type": "string",
                        "description": "Optional state - A string up to 80 characters in length, containing only valid Latin characters (a-z, A-Z)."
                      },
                      "country": {
                        "type": "string",
                        "description": "The country of the address expressed in ISO 3166 alpha-2 format."
                      }
                    },
                    "required": [
                      "addressLine1",
                      "city",
                      "postalCode",
                      "country"
                    ],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"firstName\": \"Claudia\",\n    \"lastName\": \"Tracy Lind\",\n    \"email\": \"test_1655832993@mailinator.com\",\n    \"documentIssuingCountry\": \"PS\",\n    \"nationality\": \"RS\",\n    \"mobile\": {\n        \"countryCode\": \"+372\",\n        \"number\": \"56316716\"\n    },\n    \"dateOfBirth\": {\n        \"month\": \"1\",\n        \"day\": \"15\",\n        \"year\": \"2000\"\n    },\n    \"address\": {\n        \"addressLine1\": \"Sepapaja 12\",\n        \"addressLine2\": \"Hajumaa\",\n        \"city\": \"Tallinn\",\n        \"state\": \"Tallinn\",\n        \"country\": \"EE\",\n        \"postalCode\": \"11412\"\n    },\n    \"occupation\": \"PRECIOUS_GOODS_JEWELRY\",\n    \"sourceOfFunds\": \"OTHER\",\n    \"purposeOfAccount\": \"OTHER\",\n    \"selfPepDeclaration\": true,\n    \"placeOfBirth\": \"Antoniettamouth\",\n    \"expectedIncomingTxVolumeYearly\": \"MORE_THAN_15000_EUR\",\n    \"expectedOutgoingTxVolumeYearly\": \"MORE_THAN_15000_EUR\",\n    \"KYC\": {\n        \"emailVerified\": false,\n        \"mobileVerified\": false,\n        \"status\": \"NOT_STARTED\"\n    },\n    \"userId\": \"9fd9f525-cb24-4682-8c5a-aa5c2b7e4dde\",\n    \"createdAt\": 1655832993460\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "firstName": {
                      "type": "string",
                      "example": "Claudia"
                    },
                    "lastName": {
                      "type": "string",
                      "example": "Tracy Lind"
                    },
                    "email": {
                      "type": "string",
                      "example": "test_1655832993@mailinator.com"
                    },
                    "documentIssuingCountry": {
                      "type": "string",
                      "example": "PS"
                    },
                    "nationality": {
                      "type": "string",
                      "example": "RS"
                    },
                    "mobile": {
                      "type": "object",
                      "properties": {
                        "countryCode": {
                          "type": "string",
                          "example": "+372"
                        },
                        "number": {
                          "type": "string",
                          "example": "56316716"
                        }
                      }
                    },
                    "dateOfBirth": {
                      "type": "object",
                      "properties": {
                        "month": {
                          "type": "string",
                          "example": "1"
                        },
                        "day": {
                          "type": "string",
                          "example": "15"
                        },
                        "year": {
                          "type": "string",
                          "example": "2000"
                        }
                      }
                    },
                    "address": {
                      "type": "object",
                      "properties": {
                        "addressLine1": {
                          "type": "string",
                          "example": "Sepapaja 12"
                        },
                        "addressLine2": {
                          "type": "string",
                          "example": "Hajumaa"
                        },
                        "city": {
                          "type": "string",
                          "example": "Tallinn"
                        },
                        "state": {
                          "type": "string",
                          "example": "Tallinn"
                        },
                        "country": {
                          "type": "string",
                          "example": "EE"
                        },
                        "postalCode": {
                          "type": "string",
                          "example": "11412"
                        }
                      }
                    },
                    "occupation": {
                      "type": "string",
                      "example": "PRECIOUS_GOODS_JEWELRY"
                    },
                    "sourceOfFunds": {
                      "type": "string",
                      "example": "OTHER"
                    },
                    "purposeOfAccount": {
                      "type": "string",
                      "example": "OTHER"
                    },
                    "selfPepDeclaration": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "placeOfBirth": {
                      "type": "string",
                      "example": "Antoniettamouth"
                    },
                    "expectedIncomingTxVolumeYearly": {
                      "type": "string",
                      "example": "MORE_THAN_15000_EUR"
                    },
                    "expectedOutgoingTxVolumeYearly": {
                      "type": "string",
                      "example": "MORE_THAN_15000_EUR"
                    },
                    "KYC": {
                      "type": "object",
                      "properties": {
                        "emailVerified": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "mobileVerified": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "status": {
                          "type": "string",
                          "example": "NOT_STARTED"
                        }
                      }
                    },
                    "userId": {
                      "type": "string",
                      "example": "9fd9f525-cb24-4682-8c5a-aa5c2b7e4dde"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1655832993460,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": 400,\n    \"errorCode\": \"00002\",\n    \"errorDetails\": {\n        \"message\": \"Invalid fields\",\n        \"errorDetails\": [\n            {\n                \"msg\": \"Invalid value\",\n                \"param\": \"mobile.number\",\n                \"location\": \"body\"\n            },\n            {\n                \"msg\": \"Invalid mobile.number\",\n                \"param\": \"mobile.number\",\n                \"location\": \"body\"\n            }\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "errorCode": {
                      "type": "string",
                      "example": "00002"
                    },
                    "errorDetails": {
                      "type": "object",
                      "properties": {
                        "message": {
                          "type": "string",
                          "example": "Invalid fields"
                        },
                        "errorDetails": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "msg": {
                                "type": "string",
                                "example": "Invalid value"
                              },
                              "param": {
                                "type": "string",
                                "example": "mobile.number"
                              },
                              "location": {
                                "type": "string",
                                "example": "body"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location --request PATCH 'https://sandbox.striga.com/api/v0/user/update' \\\n--header 'api-key: 9jZYFq0ETiak43zm1cFrmfpoky1K_1vhM70Rm4Jx6SA=' \\\n--header 'Authorization: HMAC 1655832998514:9d02afabe295c46db75ea907a69d71a057fe1ed6bb0a4c0f83cb78dfbaf9d544' \\\n--header 'Content-Type: application/json' \\\n--data-raw '{\n    \"userId\": \"9fd9f525-cb24-4682-8c5a-aa5c2b7e4dde\",\n    \"selfPepDeclaration\": true,\n    \"dateOfBirth\": {\n        \"month\": 1,\n        \"day\": 15,\n        \"year\": 2000\n    },\n    \"address\": {\n        \"addressLine1\": \"Sepapaja 12\",\n        \"addressLine2\": \"Hajumaa\",\n        \"city\": \"Tallinn\",\n        \"state\": \"Tallinn\",\n        \"country\": \"EE\",\n        \"postalCode\": \"11412\"\n    },\n    \"documentIssuingCountry\": \"TJ\",\n    \"nationality\": \"NF\",\n    \"occupation\": \"PRECIOUS_GOODS_JEWELRY\",\n    \"sourceOfFunds\": \"OTHER\",\n    \"sourceOfFundsOther\": \"Sale of donkey\",\n    \"purposeOfAccount\": \"OTHER\",\n    \"purposeOfAccountOther\": \"To buy donkey\",\n    \"placeOfBirth\": \"Janiyaburgh\",\n    \"expectedOutgoingTxVolumeYearly\": \"MORE_THAN_15000_EUR\",\n    \"expectedIncomingTxVolumeYearly\": \"MORE_THAN_15000_EUR\"\n}'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "api-key",
        "x-default": "Your Striga API key"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-default": "Your HMAC Signature"
      }
    }
  }
}
```